Skip to main content
POST
/
api
/
v1
/
brand-kits
Create Brand Kit
curl --request POST \
  --url https://api.example.com/api/v1/brand-kits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "brand_voice": "<string>",
  "kit_type": "personal",
  "tone_keywords": [
    "<string>"
  ],
  "target_audience": "",
  "language_preference": "en",
  "avoid_phrases": [
    "<string>"
  ],
  "is_default": false,
  "brand_id": "<string>",
  "logo_url": "<string>",
  "logo_icon_url": "<string>",
  "logo_dark_url": "<string>",
  "logo_square_url": "<string>",
  "logo_wordmark": "<string>",
  "logo_wordmark_font": "<string>",
  "primary_color": "<string>",
  "secondary_color": "<string>",
  "accent_color": "<string>",
  "color_palette": [
    "<string>"
  ],
  "font_headings": "<string>",
  "font_body": "<string>",
  "imagery_style": "<string>",
  "brand_guidelines_url": "<string>",
  "tagline": "<string>",
  "mission_statement": "<string>",
  "industry": "<string>",
  "competitors": [
    "<string>"
  ],
  "seo_keywords": [
    "<string>"
  ],
  "social_links": {},
  "social_profiles": {},
  "location": "<string>",
  "website_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "kit_type": "<string>",
  "name": "<string>",
  "brand_voice": "<string>",
  "tone_keywords": [
    "<string>"
  ],
  "target_audience": "<string>",
  "language_preference": "<string>",
  "avoid_phrases": [
    "<string>"
  ],
  "is_default": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "logo_url": "<string>",
  "logo_icon_url": "<string>",
  "logo_dark_url": "<string>",
  "logo_square_url": "<string>",
  "logo_wordmark": "<string>",
  "logo_wordmark_font": "<string>",
  "primary_color": "<string>",
  "secondary_color": "<string>",
  "accent_color": "<string>",
  "color_palette": [
    "<string>"
  ],
  "font_headings": "<string>",
  "font_body": "<string>",
  "imagery_style": "<string>",
  "brand_guidelines_url": "<string>",
  "tagline": "<string>",
  "mission_statement": "<string>",
  "industry": "<string>",
  "competitors": [
    "<string>"
  ],
  "seo_keywords": [
    "<string>"
  ],
  "social_links": {},
  "social_profiles": {},
  "location": "<string>",
  "website_url": "<string>",
  "slides_template_r2_key": "<string>",
  "slides_template_filename": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 100
brand_voice
string
required
Required string length: 10 - 2000
kit_type
string
default:personal
Pattern: ^(personal|business)$
tone_keywords
string[]
target_audience
string
default:""
Maximum string length: 500
language_preference
string
default:en
Maximum string length: 10
avoid_phrases
string[]
is_default
boolean
default:false
brand_id
string | null

Link kit to a brand

logo_url
string | null
Maximum string length: 500
logo_icon_url
string | null
Maximum string length: 500
logo_dark_url
string | null
Maximum string length: 500
logo_square_url
string | null
Maximum string length: 500
logo_wordmark
string | null
Maximum string length: 100
logo_wordmark_font
string | null
Maximum string length: 100
primary_color
string | null
Maximum string length: 20
secondary_color
string | null
Maximum string length: 20
accent_color
string | null
Maximum string length: 20
color_palette
string[] | null
font_headings
string | null
Maximum string length: 100
font_body
string | null
Maximum string length: 100
imagery_style
string | null
Maximum string length: 1000
brand_guidelines_url
string | null
Maximum string length: 500
tagline
string | null
Maximum string length: 255
mission_statement
string | null
Maximum string length: 2000
industry
string | null
Maximum string length: 100
competitors
string[]
seo_keywords
string[]
social_profiles
Social Profiles · object
location
string | null
Maximum string length: 500
website_url
string | null
Maximum string length: 500

Response

Successful Response

id
string<uuid>
required
kit_type
string
required
name
string
required
brand_voice
string
required
tone_keywords
string[]
required
target_audience
string
required
language_preference
string
required
avoid_phrases
string[]
required
is_default
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
brand_id
string<uuid> | null
logo_url
string | null
logo_icon_url
string | null
logo_dark_url
string | null
logo_square_url
string | null
logo_wordmark
string | null
logo_wordmark_font
string | null
primary_color
string | null
secondary_color
string | null
accent_color
string | null
color_palette
string[] | null
font_headings
string | null
font_body
string | null
imagery_style
string | null
brand_guidelines_url
string | null
tagline
string | null
mission_statement
string | null
industry
string | null
competitors
string[]
seo_keywords
string[]
social_profiles
Social Profiles · object
location
string | null
website_url
string | null
slides_template_r2_key
string | null
slides_template_filename
string | null